using System;

namespace Gusterr
{
    class Program
    {
        static void Main(string[] args)
        {
            string ime = Console.ReadLine();
            int zs = 0;
            for(int i=0;i<ime.Length;i++)
            {
                for(int j=1;j<ime.Length;j++)
                {
                    if(ime[i]==ime[j] && Math.Abs(i-j)%2==1 && i!=j)
                    {
                        zs++;
                        i = j;
                    }
                }
            }
            Console.WriteLine(zs);
        }
    }
}